deborphan használata, törlések kivitelezése

Fórum: 

Karbantartási célból már a Linux19 használata idején is lefutattam a deborphan -t (opciók nélkül) és eredményül kaptam egy információs listát az elárvult fájlokról. Mivel semmi tapasztalatom nem volt a parancs helyes haszálatáról, meg a listában szereplő fájlok fontosságáról, függőségekről nem mertem semmit sem törölni. Pár hete frissítettem a rendszert 20Ulyanára és ez a deborphan lista mintha meghosszabodott volna.

Arra kérem a hozzáértő fórumtársakat, h az alábbi listám alapján általánoságban milyen szempontok alapján kell kiválasztani a végleges törölésre szánt fájlokat (vagy ami a listán van minden törölhető, válogatás nélkül?)  és főleg azt szeretném megtudni, ha már törlési műveletet szükséges, azt hogyan kell helyes elvégezni, úgy hogy ne tegyek kárt a rendszerben. Jó lenne tudni ebben az esetbe mit hogyan kell helyesen használni.

Itt a listám

$ deborphan
e2fslibs:amd64
fonts-noto-hinted:all
gir1.2-gnomebluetooth-1.0:amd64
gir1.2-gtop-2.0:amd64
gir1.2-networkmanager-1.0:amd64
gir1.2-rb-3.0:amd64
gir1.2-timezonemap-1.0:amd64
gir1.2-upowerglib-1.0:amd64
gir1.2-webkit-3.0:amd64
gir1.2-wnck-3.0:amd64
gir1.2-xkl-1.0:amd64
gnome-themes-standard:all
gstreamer1.0-clutter-3.0:amd64
gstreamer1.0-packagekit:amd64
indicator-common:all
kded5:amd64
libargon2-0:amd64
libavahi-compat-libdnssd1:amd64
libbabeltrace1:amd64
libbind9-160:amd64
libboost-date-time1.65.1:amd64
libboost-locale1.65.1:amd64
libbrlapi0.6:amd64
libcdio17:amd64
libcinnamon-desktop4:amd64
libcwidget3v5:amd64
libdmapsharing-3.0-2:amd64
libdns-export1100:amd64
libdouble-conversion1:amd64
libebook-contacts-1.2-2:amd64
libecal-1.2-19:amd64
libevent-2.1-6:amd64
libexempi3:amd64
libexo-1-0:amd64
libgegl-0.3-0:amd64
libgfortran4:amd64
libgles2-mesa:amd64
libgmime-3.0-0:amd64
libgnome-desktop-3-17:amd64
libgrilo-0.3-0:amd64
libgspell-1-1:amd64
libgtkspell0:amd64
libgupnp-1.0-4:amd64
libgutenprint2:amd64
libgweather-3-15:amd64
libhogweed4:amd64
libhunspell-1.6-0:amd64
libindicator7:amd64
libip4tc0:amd64
libip6tc0:amd64
libiptc0:amd64
libirs160:amd64
libisl19:amd64
libllvm6.0:amd64
libllvm8:amd64
libllvm9:amd64
liblouisutdml8:amd64
liblvm2app2.2:amd64
liblvm2cmd2.02:amd64
liblwres160:amd64
libmessaging-menu0:amd64
libmysofa0:amd64
libmysqlclient20:amd64
libntfs-3g88:amd64
liboauth0:amd64
liborcus-0.13-0:amd64
libp11-kit-gnome-keyring:amd64
libplymouth4:amd64
libpoppler73:amd64
libprotobuf10:amd64
libproxy1-plugin-gsettings:amd64
libproxy1-plugin-networkmanager:amd64
libpython3.6:amd64
libqpdf21:amd64
libqt5concurrent5:amd64
libqt5multimedia5:amd64
libreoffice-avmedia-backend-gstreamer:amd64
libreoffice-ogltrans:all
libreoffice-pdfimport:all
libreoffice-style-galaxy:all
librttr-core0.9.6:amd64
libsane-extras:amd64
libsane-hpaio:amd64
libsane1:amd64
libusbmuxd4:amd64
libvncclient1:amd64
libwayland-egl1-mesa:amd64
libzeitgeist-2.0-0:amd64
libzip4:amd64
pdfshuffler:all
system-config-printer-gnome:all
ttf-ancient-fonts-symbola:all
ttf-ubuntu-font-family:all
x11proto-core-dev:all
x11proto-input-dev:all
x11proto-kb-dev:all

sudo apt-get autoremove --purge

#1 Ugyan nem tőlem kérdezted, de nálam

sudo deborphan
conky:all
e2fslibs:amd64
gir1.2-dbusmenu-glib-0.4:amd64
gir1.2-dee-1.0:amd64
gir1.2-gtop-2.0:amd64
gir1.2-gudev-1.0:amd64
gir1.2-ibus-1.0:amd64
gir1.2-nma-1.0:amd64
gir1.2-timezonemap-1.0:amd64
gir1.2-upowerglib-1.0:amd64
gir1.2-xkl-1.0:amd64
gnome-orca:all
gnome-themes-standard:all
gstreamer1.0-clutter-3.0:amd64
gstreamer1.0-packagekit:amd64
libgexiv2-2:amd64
libgtkmm-2.4-1v5:amd64
libllvm9:amd64
libproxy1-plugin-gsettings:amd64
libproxy1-plugin-networkmanager:amd64
libreoffice-avmedia-backend-gstreamer:amd64
libreoffice-ogltrans:all
libreoffice-pdfimport:all
python-gobject-2:amd64
system-config-printer-gnome:all

sudo apt autoremove
Csomaglisták olvasása... Kész
Függőségi fa építése       
Állapotinformációk olvasása... Kész
0 frissített, 0 újonnan telepített, 0 eltávolítandó és 0 nem frissített.

Értékelés: 

0
Még nincs értékelve

sudo apt-get autoremove --purge

#1
A kért kimenet így fest:

$ sudo apt-get autoremove --purge   
Csomaglisták olvasása... Kész
Függőségi fa építése       
Állapotinformációk olvasása... Kész
0 frissített, 0 újonnan telepített, 0 eltávolítandó és 0 nem frissített.

 

Gyakorlatilag már a kezdetek óta, következetesen minden telepített progit amit, vmilyen okból nem felelt meg

vagy csak kiprobálásra telepítettem és törlésre került, ezt használtam: 

$sudo apt-get purge progi*

Lényegében nem terveztem semmelyik csomag eltávolítását, csak a deborphan listát szeretném csökkenteni v ha lehet teljesen nullára vinni, valamilyen stratégia mentén.

Megnéztem az orphaner -el is, ott ki lehet jelölni külön-külön a csomagokat, infók is olvasható róluk, pl.

Package: gir1.2-gnomebluetooth-1.0

Status: install ok installed

Priority: optional

Section: introspectin

Installed Size: 33

Maintainer: Ubuntu Developers

stb. de a többi csomagoknál is hasonlókat olvasok,

Lehet, h ezek a csomagok csak a fejlesztőknek fontosak v. van vmi. más funkcióik is?

Szóval nekem az nem világos, de lehet, h rosszul értelmezem az egészet. Tehát ezek az elárvult csomagok azért kerültek kijelölésre a deborphan részéről, mert vmikor egy programhoz kapcsolodtak, de az a program már el lett távolítva és ezek a csomagok pedig nem, itt maradva, elárvulva semmi hasznos kapcsolódás nélkül. Tehát csak a helyet foglalják.

     

 

 

 

 

 

Értékelés: 

0
Még nincs értékelve

sudo apt-get autoremove --purge

#3

Igen kb. így nézett ki a saját listám is a 19.3 idején,

a 20Uliánára váltás után pedig majdnem 3x -ra dagadt.

Értékelés: 

0
Még nincs értékelve

sudo apt-get autoremove --purge

#5 Mint 20 Xfce

lsb_release -a
No LSB modules are available.
Distributor ID:    Linuxmint
Description:    Linux Mint 20
Release:    20
Codename:    ulyana

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

sudo apt-get autoremove --purge

#4 Meg kell különböztetni azt a csomagot, ami később jól jöhet, de a "helyet foglalja" azoktól a csomagoktól, amit. a rendszer jelöl ki eltávolításra (autoremove). Előbbieket nem törlöm, míg utóbbiakat igen. Tehát, nem használom a deborphan alkalmazást, de otthon ránézek a működési elvére.

https://sites.google.com/site/easytipsforlinux/using-deborphan

 

Értékelés: 

0
Még nincs értékelve

sudo apt-get autoremove --purge

#8 Igen. Nagyon nem szeretném, ha  eltávolitódna pl. a conky csomag vagy a libreoffice-pdfimport

Értékelés: 

0
Még nincs értékelve
kimarite képe

sudo apt-get autoremove --purge

#8 Nálam itt az eltávolítandó fájlok listája:

deborphan --guess-all
dangerdeep-data:all
fonts-ubuntu-font-family-console:all
gir1.2-xapp-1.0:amd64
gnome-doc-utils:all
libboost-date-time-dev:amd64
libboost-filesystem-dev:amd64
libboost-graph-dev:amd64
libboost-iostreams-dev:amd64
libboost-program-options-dev:amd64
libboost-python-dev:amd64
libboost-regex-dev:amd64
libboost-serialization-dev:amd64
libboost-signals-dev:amd64
libboost-thread-dev:amd64
libcoin-dev:amd64
libcolord-dev:amd64
libcolord-gtk-dev:amd64
libconfig-dev:amd64
libelf-dev:amd64
libexiv2-dev:amd64
libflickcurl-dev:amd64
libfontchooser-java:all
libgraphicsmagick1-dev:amd64
libgts-dev:amd64
libisfreetype-java:all
libjson-glib-dev:amd64
libjudy-dev:amd64
libkdtree++-dev:all
liblensfun-dev:amd64
liblz4-dev:amd64
libmedc-dev:amd64
libmnl-dev:amd64
libmpv-dev:amd64
libmuparser-dev:amd64
libocct-data-exchange-dev:amd64
libocct-draw-dev:amd64
libopencv-dev:amd64
libosinfo-bin:amd64
libosmgpsmap-1.0-dev:amd64
libpugixml-dev:amd64
libpyside2-dev:amd64
libqt5svg5-dev:amd64
libqt5webkit5-dev:amd64
libqt5x11extras5-dev:amd64
libqt5xmlpatterns5-dev:amd64
librecad:amd64
librsvg2-dev:amd64
libsdl-image1.2-dev:amd64
libsecret-1-dev:amd64
libshiboken2-dev:amd64
libspnav-dev:amd64
libsuil-0-0:amd64
libtiff5-dev:amd64
libv4l-dev:amd64
libzipios++-dev:amd64
python-cffi-backend:amd64
python3-cffi-backend:amd64
python3-dropbox:all
python3-grpc-tools:amd64
python3-grpcio:amd64
python3-opengl:all
python3-pyqt5:amd64
python3-xapp:all
qttools5-dev:amd64
woeusb-dbgsym:amd64

A python3-* csomagkat egy egyéni telepítés (csomag forgatás: talán a cdcat?) igényelte, de mindez kevés volt a sikerhez. Tehát tényleg nem kellenek. A gir1.2-xapp és a libbost-* csomagok is ugyanide tartoznak, majdnem száz százalék (valamilyen sikertelen próba függőségei).

A *-dev csomagok csak a csomag forgatáshoz kellenek, a kész alkalmazás működéséhez nem (qttools5-dev, és még sok a kimenetben), tehát törölhetőek ..., de néha forgatok, minek töröljem, hátha kell valamihez. A rendszer működésébe nem szólnak bele. Van olyan *-dev, ami kell a rendszernek a működéshez, a libc6-é és lehet más is, fejből nem tudom ..., de ha mégis törölnéd, menne a szükségesekkel jó pár alkalmazás.

A dangerdeep-data a dangerdeep alkalmazás (tengeralattjáró szimulátor adat fájlok), a woeusb-dbgsym a woeusb alkalmazés függősége, nem érdemes eltávolítani ezeket. A woeusb-dbgsym csomagot eltávolíthatom, a rendszer nem tiltakozik, de a woeusb alkalmazás nem indul el. Ilyen nálad a conky-all csomag..., mármint kell neked.

A Synaptic csomagkezelőben akár egyenként végigmehetsz azokon az alkalmazásokon, amiket a deborphan árva (orphan) csomagoknak jelölt. Ha csak az a csomag távolítódna el, vagy a listából más, de a rendszerből nem, nyugodtan eltávoltíhatod a csomago(ka)t.

A conky-all csomagot megtarthatod, és kizárhatod a deborphan listáról, ha ezt teszed (újratelepíted):

sudo apt-get installl --reinstall conky-all

... csak olyan alkalmazás miatt használd ezt a módszert, ami feltétlen kell.

( https://sites.google.com/site/easytipsforlinux/using-deborphan )

Értékelés: 

5
Átlag: 5 (1 szavazat)

Hát köszönöm szépen a

Hát köszönöm szépen a deborphan lista elemzését, hasznos infókat kaptam és szűrtem le, 

Kellemes hétvégét.

 

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

Hát köszönöm szépen a

#11 Próbálok részletesebb magyarázatot. Viszont!

Értékelés: 

0
Még nincs értékelve
kimarite képe

Hát köszönöm szépen a

#12 Részletesebbet nem tudok. :)

A használatról, például a dev csomagokra szűkítésről azonban igen:
https://techpiezo.com/linux/remove-unused-packages-in-ubuntu-using-debor...
https://manpages.debian.org/jessie/deborphan/deborphan.1.en.html

Értékelés: 

0
Még nincs értékelve
kimarite képe

Debfoster

#13 Van ilyen is: http://www.fruit.je/debfoster/
Ha jól látom, tükrökről elérhető.

Értékelés: 

0
Még nincs értékelve